GRASS tools: cannot enter rows,cols in v.mkgrid

2006-08-10 03:18 PM - anonymous -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10290

Description

Hi,

apparently the input field for rows,cols in v.mkgrid is overzealously checked.

The comma separator cannot be entered. Probably also further parameters

would be needed for the module.

Markus

History

#1 - 2006-12-03 06:53 AM - Martin Dobias

This appears to be a problem how grass plugin parses v.mkgrid interface definition:

        <parameter name="grid" type="integer" required="yes" multiple="no">

                <description>

                        number of ROWS and COLUMNS in grid

                </description>

                <keydesc>

                        <item order="1">rows</item>

                        <item order="2">columns</item>

                </keydesc>

        </parameter>

Type is integer, thus it allows only integers to be entered. However it doesn't consider "keydesc" tag that specifies two items.

What to do with it?

    -  disable modules with this kind of parameter

    -  implement this functionality to behave correctly

    -  allow entering strings for such parameters (temporary fix)

Martin

#2 - 2006-12-03 09:26 AM - neteler-itc-it -

For 0.8 maybe the temporary "string" solution is quickest (otherwise the module is useless in QGIS).

In general all modules which query on command line (r.what, v.what.rast, v.what.vect, ...) will have this problem, so a real solution to it would be very nice.
best,

Markus

#3 - 2006-12-06 02:16 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:ba35e600 (SVN r6196). Edit field is created for every sub-parameter.

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
